Summary: Window Manager with Windows '95 look
Name: fvwm95
Version: 2.0.43a
Release: 2
Source: ftp://mitac11.uia.ac.be/pub/fvwm95-2.0.43a-Imake.tgz
Patch0: fvwm95-2.0.43a.patch
Patch1: fvwm95-2.0.43a-rh.patch
Copyright: GPL
Group: X11/Window Managers
Requires: fvwm95-icons
BuildRoot: /tmp/fvwm95-root
Packager: Corey Minyard <minyard@acm.org>

%description
fvwm95 is a version of the popular "Feeble Virtual Window Manager" that
emulates the look and feel of Windows '95. Now you can have the look and
feel of the the Windows world with the power and convenience of Linux. 

%package icons
Summary: Icons and Pixmaps for fvwm
Group: X11/Window Managers

%description icons
This package contains icons, bitmaps and pixmaps for fvwm95 and fvwm.

%prep
%setup -n fvwm95-2.0.43a-Imake
%patch0 -p1
%patch1 -p1
rm -fR $RPM_BUILD_ROOT

%build
xmkmf -a
make

%install
install -d $RPM_BUILD_ROOT/etc/X11/fvwm95
install -d $RPM_BUILD_ROOT/usr/X11R6/bin
install -d $RPM_BUILD_ROOT/usr/X11R6/man/man1/
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mini-icons
install -d $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fvwm95
install -d $RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps
install -d $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps

install -o root -g root fvwm/fvwm95 $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 -o root -g root fvwm/fvwm95.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/fvwm95.1x
install -o root -g root xpmroot/xpmroot $RPM_BUILD_ROOT/usr/X11R6/bin
install -m 644 -o root -g root xpmroot/xpmroot.man $RPM_BUILD_ROOT/usr/X11R6/man/man1/xpmroot.1x

cd modules

for module in FvwmAudio FvwmAuto FvwmBacker FvwmBanner FvwmButtons FvwmCpp \
	FvwmDebug FvwmForm FvwmIconBox FvwmIconMan FvwmIdent FvwmM4 \
	FvwmPager FvwmSave FvwmSaveDesk FvwmScroll FvwmTalk FvwmTaskBar \
	FvwmWinList ; do \
	install -m 755 -o root -g root $module/$module \
		$RPM_BUILD_ROOT/usr/X11R6/lib/X11/fvwm95; \
	install -c -m 644 -o root -g root $module/$module.man \
		$RPM_BUILD_ROOT/usr/X11R6/man/man1/$module.1x; \
	done
cd ..

install -o root -g root -m 644 sample.fvwmrc/system.fvwm95rc $RPM_BUILD_ROOT/etc/X11/fvwm95/fvwm95rc

install -o root -g root -m 0444 icons/*.xpm $RPM_BUILD_ROOT/usr/X11R6/include/X11/pixmaps/
install -o root -g root -m 0444 mini-icons/*.xpm $RPM_BUILD_ROOT/usr/X11R6/lib/X11/mini-icons/
install -o root -g root -m 0444 icons/*.icon icons/*.bitmap icons/*.xbm \
	$RPM_BUILD_ROOT/usr/X11R6/include/X11/bitmaps/

install -o root -g root -m 755 utils/fvwmrc_convert $RPM_BUILD_ROOT/usr/X11R6/bin
install -o root -g root -m 755 utils/quantize_pixmaps $RPM_BUILD_ROOT/usr/X11R6/bin
ln -sf /etc/X11/fvwm95/fvwm95rc $RPM_BUILD_ROOT/usr/X11R6/lib/X11/fvwm95/.fvwm95rc

%clean
#rm -Rf $RPM_BUILD_ROOT

%files
%config /etc/X11/fvwm95/*
%dir /etc/X11/fvwm95
%dir /usr/X11R6/lib/X11/fvwm95
%doc README docs fvwm95-2.xx.lsm
%doc icons/README.mini
/usr/X11R6/bin/*
/usr/X11R6/lib/X11/fvwm95/*
/usr/X11R6/lib/X11/fvwm95/.fvwm95rc
/usr/X11R6/man/man1/*

%files icons
/usr/X11R6/lib/X11/mini-icons/*
/usr/X11R6/include/X11/bitmaps/*
/usr/X11R6/include/X11/pixmaps/*

%changelog

* Thu Aug 07 1997 Corey Minyard <minyard@acm.org>
  - Added installation of man pages for fvwm95 and xpmroot.
  - Added the standard patch for empty name death and moved the redhat
    patch to *-rh.patch.
  - Removed gzipping of man pages.
  - For some reason stripping the fvwm95 executable caused it to not
    use pixmaps.  Removed stripping of the executable.

* Wed Mar 12 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  - added xpmroot (forgotten on rewriting spec) and script quantize_pixmaps,
  - removed instaling FvwmConsole module (compiled with -DNO_CONSOLE),
  - man pages instaled with 1x extension,
  - new version fvwm95-2.0.43a:
  From Release notes:
   - Bug corrections: m4-preprocessing, taskbar's MailBox command problem,
     etc...
   - New taskbar option for showing only the buttons corresponding to the
     windows in the active desktop.
   - Support for side pixmaps in menus. Now you can make your start menu
     look like this
   - The TitleIcon style option now has MiniIcon as a synonym for
     compatibility with (future) fvwm2 similar directive.
   - Configuration changes: the menu colors are now specified by a
     MenuColors directive.
   - Name changes: the executable file is now fvwm95 instead of fvwm95-2.
     The user's config file is .fvwm95rc instead of .fvwm2rc95, the
     system-wide config file is system.fvwm95rc.
   - Slow-sliding taskbar when the AutoHide option is enabled. 
   - Corrected a bug in fvwm code that caused the window manager to die when
     using the taskbar option "*FvwmTaskBarAction Click3 PopUp Window-Ops2".
     Now the window-ops popup can be used correctly when right-clicking on a
     taskbar button.
   - Some more new mini-icons. 

* Mon Mar 10 1997 Tomasz Koczko <kloczek@rudy.mif.pg.gda.pl>
  - all man pages are gziped,
  - spec file rewrited for using BuildRoot,
  - fixed default config file (removed fvwm95.0.41f-FSSTND.patch, added
    fvwm95-2.0.42-fvwm2rc95.patch),
  - added lacking icons and bitmaps.

